Installing and upgrading help

Got a problem installing, upgrading or migrating your Moodle site?

Documentation: Installing Moodle, Installation FAQ, Upgrading and Upgrading FAQ
Forum moderator: Howard Miller

Before starting a new discussion topic, please check the Installation FAQ and Upgrading FAQ and try a forum search.

Remember to include in your post which version of Moodle (e.g. 3.2.1) you are using!

(You can find your Moodle version via Settings > Site administration > Notifications.)

Also provide as much relevant background information as you can about the versions and configuration of your server OS, PHP and browser.

(including upgrading and migration help)


Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 ... 168 ()
DiscussionStarted byRepliesLast post
Error opening Course after upgrade 0 Sa Thomas
Sat, 18 Aug 2018, 10:24 AM
externallib.php problems after upgrading to 3.5 1 Howard Miller
Sat, 18 Aug 2018, 4:47 AM
ubuntu reverted to old version on reboot 5 Visvanath Ratnaweera
Sat, 18 Aug 2018, 1:25 AM
Changing Domain 10 Kim Solis
Fri, 17 Aug 2018, 9:01 PM
Coding error detected, it must be fixed by a programmer: Cannot find file with external function implementation 1 Howard Miller
Fri, 17 Aug 2018, 4:21 PM
Problems updating to Moodle 3.5 with MySQL 8.0 and mod_chat 5 Debbie Unterseher
Fri, 17 Aug 2018, 7:09 AM
Can't access to moodle after moving my database to another location 1 Ruddy Mendoza
Fri, 17 Aug 2018, 12:40 AM
Upgraded to 3.5.1, have duplicate privacy menu items 5 Howard Miller
Thu, 16 Aug 2018, 5:14 PM
Modifying participant list default settings 4 Kyle Schiefelbein-Guerrero
Thu, 16 Aug 2018, 6:54 AM
FileManager error 4 Paul Martin
Wed, 15 Aug 2018, 10:17 PM
Plugins overview and update 5 Ken Task
Wed, 15 Aug 2018, 8:55 PM
How to "git" moodle with a working copy of a fix in progress? 4 Rick Jerz
Tue, 14 Aug 2018, 11:30 PM
Upgrade 3.1>3.4 error in Questionaire module 3 Chris Chapman
Tue, 14 Aug 2018, 10:46 PM
Environmental problems 1 Rashlyn De la Cruz
Tue, 14 Aug 2018, 3:59 PM
Error de instalacion de moodle con xampp 0 denil avellan
Tue, 14 Aug 2018, 12:06 PM
MDeploy - Moodle 3.5.1+ 6 Ken Task
Mon, 13 Aug 2018, 7:47 AM
Problem after upgrading to Moodle 3.4+ or 3.5+ 5 Howard Miller
Sun, 12 Aug 2018, 7:26 PM
code error : (mod_hsuforum\task\cron_task),Coding error detected, it must be fixed by a programmer: Function cron_setup_user() cannot be used in normal requests! 6 Eugene Passofaro
Sun, 12 Aug 2018, 11:35 AM
How to print feedback analysis or export to PDF 7 AL Rachels
Sun, 12 Aug 2018, 1:29 AM
Blank Pages 2 AL Rachels
Sun, 12 Aug 2018, 1:06 AM
Simple question about https 3 Howard Miller
Sat, 11 Aug 2018, 3:22 PM
Trying to convert InnoDB tables to Barracuda via Command Line 5 Joe Boyle
Sat, 11 Aug 2018, 5:57 AM
3.4.4 upgrade to 3.5.1 Error 500 7 Alain Raap
Fri, 10 Aug 2018, 10:48 PM
After Update, Stuck in Maintenance Mode 1 Janette Wagner
Fri, 10 Aug 2018, 3:31 AM
Upgrade from 3.3.4 to 3.5.1 - Admin settings not saving 10 Patrick Plumridge
Thu, 9 Aug 2018, 8:04 PM
Can not initialise PHP session, please verify that your browser accepts cookies. 1 Howard Miller
Thu, 9 Aug 2018, 5:49 PM
Db Sessions 3 Albert Ramsbottom
Thu, 9 Aug 2018, 4:27 PM
Run my Moodle from anywhere 5 James Steerpike
Wed, 8 Aug 2018, 8:39 PM
Moodle 3.5.1 - Links not Working 7 Anant Sahni
Wed, 8 Aug 2018, 3:25 PM
upgrade to Moodle 3.5.1 2 Howard Miller
Tue, 7 Aug 2018, 3:59 PM
Replace cli tool moodle.19 5 Ken Task
Tue, 7 Aug 2018, 1:55 AM
The page isn't redirecting properly with Fresh installation 89 Mellisa Barton
Mon, 6 Aug 2018, 5:08 PM
Integration with other platform 2 Hendik Arianto
Mon, 6 Aug 2018, 3:38 PM
DML error on install 5 Luis de Vasconcelos
Sun, 5 Aug 2018, 10:50 PM
Moodle Anylitics Python Backend question 1 Moodle Admin
Sun, 5 Aug 2018, 6:28 PM
installation (version 5.5.31 is required and you are running 5.5.5.10.1.10) 43 Jonathan Haack
Sun, 5 Aug 2018, 2:40 AM
Error in update off moodle 1.9.19 for 2.0 7 Visvanath Ratnaweera
Sat, 4 Aug 2018, 2:12 PM
Manually Remove Plugin from CPanel 2 Kelvin Osondu
Thu, 2 Aug 2018, 9:50 PM
Error Message after upgrade - The operation timed out while waiting for a lock 5 Anandham K
Thu, 2 Aug 2018, 9:14 PM
Just uninsalled a core plugin 17 Howard Miller
Thu, 2 Aug 2018, 7:58 PM
Migrate / Clone moodle without users 2 Howard Miller
Thu, 2 Aug 2018, 5:00 PM
Upgrade to 3.5 - WIRIS plugin trouble 2 Wes Matchett
Thu, 2 Aug 2018, 12:25 AM
Moodle Restore 25 Mellisa Barton
Wed, 1 Aug 2018, 3:21 PM
Can't use apache/www-data to run commands, which user should be used? 4 Lexi K
Wed, 1 Aug 2018, 1:03 AM
2.8 - 3.5 upgrade - GUI issue 4 Rick Jerz
Tue, 31 Jul 2018, 9:32 PM
Fatal error: Cannot use 'object' as class name as it is reserved in /Library/WebServer/Documents/lib/setuplib.php on line 66 1 Howard Miller
Tue, 31 Jul 2018, 4:56 PM
Moodle upgrade from 1.99+ to 3.x 11 Visvanath Ratnaweera
Mon, 30 Jul 2018, 8:13 PM
Bulk Upload courses from 3.1.7+ to 3.5.1+ 3 Jono Fowles
Mon, 30 Jul 2018, 11:53 AM
Redirection from apache2 server to nginx reverse proxy server w moodle 3.3 5 Le Minh Tuan
Sun, 29 Jul 2018, 4:54 PM
php Fatal Errors, memory exhaustion, limit 512mb 5 Paul L
Fri, 27 Jul 2018, 10:20 PM
Where are my crons 2 Albert Ramsbottom
Fri, 27 Jul 2018, 5:53 PM
Problems after upgrading to Moodle 3.4 24 Karishma Tiwari
Fri, 27 Jul 2018, 12:50 PM
Merging multiple old (2.6.2+) instances into a single new (3.5.1+) one 2 Visvanath Ratnaweera
Fri, 27 Jul 2018, 10:08 AM
Moodle Plugin Uninstall 4 Alisa Natal
Fri, 27 Jul 2018, 10:03 AM
Blank screen after moving and upgrading to latest version 5 Attila Gal
Fri, 27 Jul 2018, 4:54 AM
Moodle upgrade 3.1 --> 3.2 4 Louis Tasse
Thu, 26 Jul 2018, 10:52 PM
After upgrading course images not display 7 Nilesh Pathade
Wed, 25 Jul 2018, 11:14 PM
Moving URLs 3 Emma Richardson
Wed, 25 Jul 2018, 9:29 PM
Can't get through the installation process! Problem with admin account setup 30 sadaf sadafian
Wed, 25 Jul 2018, 8:23 PM
Moodle 3.5 install issue!! 0 Gary Bostock
Wed, 25 Jul 2018, 5:26 PM
Moodle 3.5 Installation Stalemate! 44 Ken Task
Wed, 25 Jul 2018, 7:09 AM
Upgrade 3.3 to 3.5.1 hangs creating top-level question categories 7 Christe McMenomy
Tue, 24 Jul 2018, 8:28 AM
Error from upgrading from Moodle 3.2 to 3.5 2 Ejiro Ekpogbe
Mon, 23 Jul 2018, 10:22 PM
403 Forbidden Message on Moodle Directory 9 Alex Nyamweya
Mon, 23 Jul 2018, 2:59 AM
Moodle Migration Problem in messagelib.php about missing lib.php 2 Ken Task
Sun, 22 Jul 2018, 10:18 PM
SSL Mixed Content errors in 3.5.1 3 Howard Miller
Sat, 21 Jul 2018, 2:42 PM
Strategy to Find Moodle Memory Leaking Scripts? 3 Howard Miller
Sat, 21 Jul 2018, 2:48 AM
Moodle Upgrade 6 Greg Arrigotti
Fri, 20 Jul 2018, 11:37 PM
theme plugin installation failure on permissions 5 Ken Task
Fri, 20 Jul 2018, 7:37 AM
Git upgrading failed 4 Howard Miller
Fri, 20 Jul 2018, 5:12 AM
Installing Solr for Global Search in Moodle 63 jonathan lopez
Fri, 20 Jul 2018, 12:40 AM
Problems upgrading from 3.5 to 3.5.1+ 4 Dennie Walker
Thu, 19 Jul 2018, 6:37 PM
Moodle Installation Page (PHP Version) 3 Howard Miller
Thu, 19 Jul 2018, 1:39 PM
Server Checks MariaDB Out of Date 1 Howard Miller
Thu, 19 Jul 2018, 4:00 AM
CSS not loading due to slash arguments 8 Tanner Posada
Thu, 19 Jul 2018, 12:29 AM
Newbie Moodle Installtion 1 Howard Miller
Wed, 18 Jul 2018, 4:11 PM
moving data from Moodle 2.6.0 to Moodle 3.5 14 Jon Harlow
Wed, 18 Jul 2018, 1:25 AM
OPcache and WinCache working together, or can only one or the other be used at once 8 Paul L
Wed, 18 Jul 2018, 12:52 AM
Moodle 3.5 Upgrade Error (PHP 7.27, Ubuntu) 1 Howard Miller
Tue, 17 Jul 2018, 8:23 PM
Migrated to new host & now no images showing 71 Rick Jerz
Tue, 17 Jul 2018, 10:05 AM
Moodle Upgrade Table Issue 1 Howard Miller
Mon, 16 Jul 2018, 6:08 PM
Moodle 2.8 7 Howard Miller
Mon, 16 Jul 2018, 4:03 AM
How I can create package of courses? 3 Emma Richardson
Sun, 15 Jul 2018, 12:57 AM
upgradekey not working 0 Yong Ra
Fri, 13 Jul 2018, 10:26 PM
problem after upgrade 3.5 to 3.5.1 4 Ken Task
Fri, 13 Jul 2018, 9:53 PM
Error in update off moodle 1.9.19 for 2.0 7 Visvanath Ratnaweera
Fri, 13 Jul 2018, 11:27 AM
Configuring CRON using MAMP & Moodle4Mac 1 Ken Task
Fri, 13 Jul 2018, 5:39 AM
Plugins Management 8 Albert Ramsbottom
Thu, 12 Jul 2018, 6:45 PM
Install Moodle on ZendServer for the IBM i 5 Visvanath Ratnaweera
Wed, 11 Jul 2018, 9:41 PM
Apache server fails with the ERROR - at MoodleWindowsInstaller-latest-35.zip 2 Kahraman Bulut
Wed, 11 Jul 2018, 12:09 PM
Fatal error: $CFG->dataroot is not configured properly, directory does not exist or is not accessible! Exiting. 11 Visvanath Ratnaweera
Wed, 11 Jul 2018, 3:37 AM
master-master replication and auto increment offset 5 ronny lippold
Tue, 10 Jul 2018, 7:51 PM
Error 403 displaying images when installing moodle onto cpanel witrh softalicious 1 Howard Miller
Tue, 10 Jul 2018, 5:26 PM
Help with Redis cache 2 Alan CF
Tue, 10 Jul 2018, 3:06 PM
Error when Updating Moodle 3.1 (Build 20160623) to Moodle 3.3 or higher 8 Andy Hamm
Tue, 10 Jul 2018, 12:40 AM
Big Blue Button hosting 5 Javier Tejera
Mon, 9 Jul 2018, 5:25 PM
outgoing mail settings error 1 Visvanath Ratnaweera
Sat, 7 Jul 2018, 8:53 PM
wincache for IIS 10 - how to configure 4 Heather P
Sat, 7 Jul 2018, 3:19 PM
Git local changes 2 Kevin von Spiczak
Fri, 6 Jul 2018, 8:27 PM
Debug info: Duplicate entry '1-1' for key 'mdl_quizsect_quifir_uix' 7 Nadav Kavalerchik
Fri, 6 Jul 2018, 4:14 PM
Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 ... 168 ()